Index: src/DbLinq/Test/Providers/Attach.cs
===================================================================
--- src/DbLinq/Test/Providers/Attach.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Attach.cs	(working copy)
@@ -41,7 +41,7 @@
             db1.Employees.Attach(employee);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -86,7 +86,7 @@
             db1.Employees.AttachAll(employees);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/CompositePK_Test.cs
===================================================================
--- src/DbLinq/Test/Providers/CompositePK_Test.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/CompositePK_Test.cs	(working copy)
@@ -92,7 +92,7 @@
             db.SubmitChanges();
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -129,7 +129,7 @@
         }
 
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -150,7 +150,7 @@
             Assert.AreEqual(db.OrderDetails.Count(), initialCount);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -174,7 +174,7 @@
             //Assert.AreEqual((float)orderDetail2.Discount, newDiscount);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "Check that both keys are used to determine identity")]
Index: src/DbLinq/Test/Providers/DataLoadOptions_Test.cs
===================================================================
--- src/DbLinq/Test/Providers/DataLoadOptions_Test.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/DataLoadOptions_Test.cs	(working copy)
@@ -88,7 +88,7 @@
             new DataLoadOptions().LoadWith<Order> (o => o.Customer.Orders);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -100,7 +100,7 @@
             lo.LoadWith<Order>(o => o.Customer);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/DynamicLinqTest.cs
===================================================================
--- src/DbLinq/Test/Providers/DynamicLinqTest.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/DynamicLinqTest.cs	(working copy)
@@ -192,7 +192,7 @@
         /// <summary>
         /// Reported by pwy.mail in issue http://code.google.com/p/dblinq2007/issues/detail?id=69
         /// </summary>
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -211,7 +211,7 @@
         /// <summary>
         /// Reported by pwy.mail in issue http://code.google.com/p/dblinq2007/issues/detail?id=69
         /// </summary>
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Advanced.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Advanced.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Advanced.cs	(working copy)
@@ -125,7 +125,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "This sample dynamically builds a Union to return a sequence of all countries where either a customer or an employee live.")]
@@ -179,7 +179,7 @@
         }
 
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "This sample uses orderbyDescending and Take to return the discontinued products of the top 10 most expensive products")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Conversion_Operators.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Conversion_Operators.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Conversion_Operators.cs	(working copy)
@@ -93,7 +93,7 @@
             Assert.IsTrue(list.Length > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "ToList. This sample uses ToList to immediately evaluate a query into a List(Of T).")]
@@ -111,7 +111,7 @@
             Assert.IsTrue(qList.Count > 0);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange short to boolean casting, perhaps in the original Northwind Product.Discontinued was a boolean property")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Count_Sum_Min_Max_Avg.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Count_Sum_Min_Max_Avg.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Count_Sum_Min_Max_Avg.cs	(working copy)
@@ -44,7 +44,7 @@
             Assert.IsTrue(q > 0, "Expect non-zero count");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -94,7 +94,7 @@
             Assert.IsTrue(q > 0, "Freight sum must be > 0");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "This sample uses Min to find the Products that have the lowest unit price in each category")]
@@ -188,7 +188,7 @@
             Assert.IsTrue(q > 0, "Max UnitsInStock must be > 0");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "This sample uses Max to find the Products that have the highest unit price in each category")]
@@ -211,7 +211,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "This sample uses Average to find the average freight of all Orders.")]
@@ -225,7 +225,7 @@
             Assert.IsTrue(q > 0, "Avg orders'freight must be > 0");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "This sample uses Average to find the average unit price of all Products.")]
@@ -242,7 +242,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "This sample uses Average to find the Products that have unit price higher than the average unit price of the category for each category.")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/ExsistIn_Any_All.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/ExsistIn_Any_All.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/ExsistIn_Any_All.cs	(working copy)
@@ -45,7 +45,7 @@
             Assert.IsTrue(list.Count > 0);
         }
  
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange casting, It seems like original northwind discontinued were boolean")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/GroupBy_Having.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/GroupBy_Having.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/GroupBy_Having.cs	(working copy)
@@ -36,7 +36,7 @@
     [TestFixture]
     public class GroupBy_Having : TestBase
     {
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "GroupBy - Simple. This sample uses group by to partition Products by CategoryID.")]
@@ -54,7 +54,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupBy - Max. This sample uses group by and Max to find the maximum unit price for each CategoryID.")]
@@ -70,7 +70,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupBy - Min. This sample uses group by and Min to find the minimum unit price for each CategoryID.")]
@@ -86,7 +86,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupBy - Average. This sample uses group by and Average to find the average UnitPrice for each CategoryID.")]
@@ -104,7 +104,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupBy - Sum. This sample uses group by and Sum to find the total UnitPrice for each CategoryID.")]
@@ -120,7 +120,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupBy - Count. This sample uses group by and Count to find the number of Products in each CategoryID.")]
@@ -136,7 +136,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange short to boolean casting, perhaps in the original Northwind Product.Discontinued was a boolean property")]
@@ -156,7 +156,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupBy - followed by where. This sample uses a where clause after a group by clause to find all categories that have at least 10 products.")]
@@ -176,7 +176,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange syntactical strategy. Everybody aggree with this traduction?")]
@@ -195,7 +195,7 @@
         }
 
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange syntactical strategy. Everybody aggree with this traduction?")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Insert_Update_Delete.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Insert_Update_Delete.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Insert_Update_Delete.cs	(working copy)
@@ -94,7 +94,7 @@
         }
 
 #if !SQLITE
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Linq101SamplesModified("Console and ObjectDummper references deleted")]
@@ -141,7 +141,7 @@
         }
 #endif
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Linq101SamplesModified("Console and ObjectDummper references deleted")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Join.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Join.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Join.cs	(working copy)
@@ -35,7 +35,7 @@
     [TestFixture]
     public class Join : TestBase
     {
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "This sample uses foreign key navigation in the from clause to select all orders for customers in London")]
@@ -53,7 +53,7 @@
             Assert.IsTrue(list[0].CustomerID != null, "Missing CustomerID");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "This sample uses foreign key navigation in the from clause to select all orders for customers in London")]
@@ -138,7 +138,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupJoin - Three-way join. This sample explictly joins three tables and projects results from each of them.")]
@@ -155,7 +155,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupJoin - LEFT OUTER JOIN. This sample shows how to get LEFT OUTER JOIN by using DefaultIfEmpty(). The DefaultIfEmpty() method returns null when there is no Order for the Employee.")]
@@ -172,7 +172,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupJoin - Projected let assignment. This sample projects a 'let' expression resulting from a join.")]
@@ -190,7 +190,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "GroupJoin - Composite Key.This sample shows a join with a composite key.")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Object Loading.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Object Loading.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Object Loading.cs	(working copy)
@@ -58,7 +58,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Linq101SamplesModified("The original sample didn't compile, db2 Northwind context was used for nothing")]
@@ -107,7 +107,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Linq101SamplesModified("The original sample didn't compile, db2 Northwind context was used for nothing")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Object_Identity.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Object_Identity.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Object_Identity.cs	(working copy)
@@ -55,7 +55,7 @@
             Assert.IsTrue(cust1.CustomerID == "BONAP", "CustomerID must be BONAP - was: " + cust1.CustomerID);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description="Example 2 from msdn")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/OrderBy.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/OrderBy.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/OrderBy.cs	(working copy)
@@ -98,7 +98,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "OrderBy - Group by. This sample uses Orderby, Max and Group by to find the Products that have the highest unit price in each category, and sorts the group by category id.")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Paging.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Paging.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Paging.cs	(working copy)
@@ -57,7 +57,7 @@
     [TestFixture]
     public class Paging : TestBase
     {
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "Paging - Index. This sample uses the Skip and Take operators to do paging by skipping the first 50 records and then returning the next 10, thereby providing the data for page 6 of the Products table.")]
@@ -117,7 +117,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "Paging - Index. This sample uses the Skip and Take operators to do paging by skipping the first 50 records and then returning the next 10, thereby providing the data for page 6 of the Products table.")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Select_Distinct.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Select_Distinct.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Select_Distinct.cs	(working copy)
@@ -123,7 +123,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "select - Nested. This sample uses nested queries to return a sequence of all orders containing their OrderID, a subsequence of the items in the order where there is a discount, and the money saved if shipping is not included.")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/String_Date_functions.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/String_Date_functions.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/String_Date_functions.cs	(working copy)
@@ -259,7 +259,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "DateTime.Year. This sample uses the DateTime's Year property to find Orders placed in 1997.")]
@@ -275,7 +275,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "DateTime.Month. This sample uses the DateTime's Month property to find Orders placed in December.")]
@@ -291,7 +291,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "DateTime.Day. This sample uses the DateTime's Day property to find Orders placed on the 31st day of the month.")]
@@ -307,7 +307,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "DateTime.Seconds. This sample uses the DateTime's Day property to find Orders placed on the 31st day of the month.")]
Index: src/DbLinq/Test/Providers/Linq_101_Samples/Where.cs
===================================================================
--- src/DbLinq/Test/Providers/Linq_101_Samples/Where.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Linq_101_Samples/Where.cs	(working copy)
@@ -45,7 +45,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description = "where - 2. This sample uses where to filter for Employees hired during or after 1994.")]
@@ -61,7 +61,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange casting, It seems like original northwind discontinued were boolean")]
@@ -78,7 +78,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Linq101SamplesModified("Strange casting, It seems like original northwind discontinued were boolean")]
@@ -95,7 +95,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test(Description="Where - 5. This sample calls WHERE twice to filter out Products that UnitPrice is greater than 10 and is discontinued.")]
Index: src/DbLinq/Test/Providers/ReadTest.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTest.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTest.cs	(working copy)
@@ -81,7 +81,7 @@
 
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -95,7 +95,7 @@
             Assert.AreEqual(iResult, 1L, "Expecting one Chai in Products table, got:" + iResult + " (SQL:" + sql + ")");
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -114,7 +114,7 @@
             Assert.AreEqual("Chang", prod.ProductName);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -225,7 +225,7 @@
             Assert.Greater(productCount, 0, "Expected some products, got none");
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -239,7 +239,7 @@
             Assert.AreEqual(productCount, 1, "Expected one pen, got count=" + productCount);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -254,7 +254,7 @@
             Assert.AreEqual(productCount, 1, "Expected one pen, got count=" + productCount);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -333,7 +333,7 @@
         /// <summary>
         /// from http://www.agilior.pt/blogs/pedro.rainho/archive/2008/04/11/4271.aspx
         /// </summary>
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "Using LIKE operator from linq query")]
@@ -350,7 +350,7 @@
             Assert.AreEqual(1, list.Count);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -380,7 +380,7 @@
             Assert.AreEqual(ordcount, count);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -395,7 +395,7 @@
             Assert.Greater(count,0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -415,7 +415,7 @@
             Assert.AreEqual(productCount, 8, "Expected eight products discontinued, got count=" + productCount);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -448,7 +448,7 @@
             db.ObjectTrackingEnabled = false;
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -474,7 +474,7 @@
             db.SubmitChanges();
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -489,7 +489,7 @@
             Assert.IsNull(territory.Region);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -530,7 +530,7 @@
         /// Test the use of DbLinq as a QueryObject
         /// http://www.martinfowler.com/eaaCatalog/queryObject.html
         /// </summary>
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -546,7 +546,7 @@
             Assert.AreEqual(1, allEmployees.Count());
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -592,7 +592,7 @@
             Assert.IsNotNull(commandText);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -614,7 +614,7 @@
         #endregion
 
         #region region D - select first or last - calls IQueryable.Execute instead of GetEnumerator
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -644,7 +644,7 @@
         }
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -657,7 +657,7 @@
             Assert.IsNotNull(pen, "Expected non-null Product");
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -670,7 +670,7 @@
             Assert.Greater(productID, 0, "Expected penID>0, got " + productID);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -696,7 +696,7 @@
             //Assert.Greater(productID,0,"Expected penID>0, got "+productID);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -722,7 +722,7 @@
             Assert.Greater(list1.Count, 0, "Expected some orders for London customers");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -743,7 +743,7 @@
             Assert.Greater(list1.Count, 0, "Expected some orders for London customers");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -814,7 +814,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -845,7 +845,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "Calls ExecuteQuery<> to store result into object type property")]
@@ -864,7 +864,7 @@
             internal int ChaiId;
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -891,7 +891,7 @@
             }
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTest_Complex.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTest_Complex.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTest_Complex.cs	(working copy)
@@ -73,7 +73,7 @@
         }
 
         #region 'D' tests exercise 'local object constants'
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -92,7 +92,7 @@
             Assert.AreEqual(productCount, 1, "Expected one pen, got count=" + productCount);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -107,7 +107,7 @@
             Assert.AreEqual(productCount, 1, "Expected one pen, got count=" + productCount);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -193,7 +193,7 @@
 
 #endif
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -385,7 +385,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "byte[] test")]
@@ -403,7 +403,7 @@
         }
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -421,7 +421,7 @@
             Assert.AreEqual(toListCount, 51);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -474,7 +474,7 @@
             var list = q.ToList();
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test(Description = "provide a list of customers and employees who live in London.")]
Index: src/DbLinq/Test/Providers/ReadTest_GroupBy.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTest_GroupBy.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTest_GroupBy.cs	(working copy)
@@ -78,7 +78,7 @@
             Assert.IsTrue(rowCount > 0, "Must have some rows");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -106,7 +106,7 @@
             }
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -138,7 +138,7 @@
             }
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -165,7 +165,7 @@
         }
 
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -196,7 +196,7 @@
             }
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -223,7 +223,7 @@
         }
 
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -244,7 +244,7 @@
             //select new { g.Key , SumPerCustomer = g.Sum(o2=>o2.OrderID) };
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -265,7 +265,7 @@
             //select new { g.Key , SumPerCustomer = g.Sum(o2=>o2.OrderID) };
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -291,7 +291,7 @@
         /// <summary>
         /// Reported by  pwy.mail in http://code.google.com/p/dblinq2007/issues/detail?id=64
         /// </summary>
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTest_Operands.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTest_Operands.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTest_Operands.cs	(working copy)
@@ -180,7 +180,7 @@
             Assert.IsTrue(count > 0, "Expected some products with ProductID != 1, got none");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTest_Subquery.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTest_Subquery.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTest_Subquery.cs	(working copy)
@@ -80,7 +80,7 @@
 FROM Employees AS e$
 LEFT OUTER JOIN Orders AS o$ ON o$.[EmployeeID] = e$.[EmployeeID]
          */
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Description("Subquery")]
@@ -94,7 +94,7 @@
             Assert.IsTrue(count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Description("Subquery with nested select")]
@@ -107,7 +107,7 @@
             Assert.IsTrue(count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Description("Subquery with nested entityset")]
@@ -120,7 +120,7 @@
             Assert.IsTrue(count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Description("Subquery with nested query")]
Index: src/DbLinq/Test/Providers/ReadTests_AnyCountFirst.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_AnyCountFirst.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_AnyCountFirst.cs	(working copy)
@@ -218,7 +218,7 @@
                      select new { c.CustomerID, HasUSAOrders = c.Orders.Count(o => o.ShipCountry == "USA") }).ToList();
         }
 
-#if (MSSQL && !MONO_STRICT) || SQLITE
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -234,7 +234,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if (MSSQL && !MONO_STRICT) || SQLITE
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -249,7 +249,7 @@
             var list = q.ToList();
         }
 
-#if (MSSQL && !MONO_STRICT) || SQLITE
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_Conversions.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_Conversions.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_Conversions.cs	(working copy)
@@ -105,7 +105,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -120,7 +120,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_DateTimeFunctions.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_DateTimeFunctions.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_DateTimeFunctions.cs	(working copy)
@@ -64,7 +64,7 @@
     [TestFixture]
     public class ReadTests_DateTimeFunctions : TestBase
     {
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -80,7 +80,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -96,7 +96,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -112,7 +112,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -127,7 +127,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -142,7 +142,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -156,7 +156,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -170,7 +170,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -184,7 +184,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -210,7 +210,7 @@
             var list = query.ToList();
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -236,7 +236,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -251,7 +251,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -270,7 +270,7 @@
             Assert.Greater(list.Count, 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -285,7 +285,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -305,7 +305,7 @@
         }
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -320,7 +320,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -339,7 +339,7 @@
             Assert.Greater(list.Count, 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -358,7 +358,7 @@
             Assert.Greater(list.Count, 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -373,7 +373,7 @@
             var list = query.ToList();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -392,7 +392,7 @@
             Assert.Greater(list.Count, 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -414,7 +414,7 @@
             Assert.Greater(list.Count, 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -457,7 +457,7 @@
         }
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_EntitySet.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_EntitySet.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_EntitySet.cs	(working copy)
@@ -48,7 +48,7 @@
             var orders = customer.Orders;
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -59,7 +59,7 @@
             Assert.Greater(customer.Orders.Count, 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -71,7 +71,7 @@
             Assert.Greater(results.Count, 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -85,7 +85,7 @@
             Assert.IsTrue(customer.Orders.HasLoadedOrAssignedValues);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -100,7 +100,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -115,7 +115,7 @@
             customer.Orders.SetSource(System.Linq.Enumerable.Empty<Order>());
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -143,7 +143,7 @@
             customer.Orders.SetSource(System.Linq.Enumerable.Empty<Order>());
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -162,7 +162,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -182,7 +182,7 @@
             Assert.AreEqual(c.Orders.Count, beforeCount);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -208,7 +208,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -225,7 +225,7 @@
             Assert.AreNotEqual(order.CustomerID, newcustomerId);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -309,7 +309,7 @@
             Assert.AreEqual(args.OldIndex, -1);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -324,7 +324,7 @@
             Assert.IsTrue(orders.HasLoadedOrAssignedValues);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -338,7 +338,7 @@
             Assert.IsFalse(customer.Orders.IsDeferred);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -354,7 +354,7 @@
             Assert.IsTrue(customer.Orders.HasLoadedOrAssignedValues, "#2");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -372,7 +372,7 @@
             Assert.AreEqual(beforeCount + 1, customer.Orders.Count, "#4");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_Join.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_Join.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_Join.cs	(working copy)
@@ -65,7 +65,7 @@
     public class ReadTests_Join : TestBase
     {
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test(Description = "example by Frans Brouma: select all customers that have no orders")]
@@ -90,7 +90,7 @@
             Assert.IsTrue(countALFKI == 1);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -142,7 +142,7 @@
             Assert.IsTrue(q1.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -163,7 +163,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -182,7 +182,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -314,7 +314,7 @@
             var l = custOderInfos.ToList();
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_Maths.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_Maths.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_Maths.cs	(working copy)
@@ -63,7 +63,7 @@
 
         //EXP (SSIS)
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -87,7 +87,7 @@
 
         //Devuelve el menor entero mayor o igual que una expresión numérica.
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -108,7 +108,7 @@
 
         //LN (SSIS)
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -124,7 +124,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -145,7 +145,7 @@
 
         //LOG (SSIS)
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -166,7 +166,7 @@
 
         //POWER (SSIS)
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -184,7 +184,7 @@
         //Devuelve el resultado de elevar una expresión numérica a una determinada potencia.
 
         //ROUND (SSIS)
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -200,7 +200,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -222,7 +222,7 @@
         //SIGN (SSIS)
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -245,7 +245,7 @@
 
         //SQRT (SSIS) 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_ReferenceLoading.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_ReferenceLoading.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_ReferenceLoading.cs	(working copy)
@@ -42,7 +42,7 @@
             Assert.IsNotNull(order.Employee);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -71,7 +71,7 @@
             Assert.AreEqual(db.Employees.Count(), list.Count);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -84,7 +84,7 @@
             Assert.AreEqual(db.Employees.Count(), list.Count);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -98,7 +98,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -112,7 +112,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -125,7 +125,7 @@
             Assert.AreEqual(db.Employees.Count(), list.Count);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -138,7 +138,7 @@
             Assert.AreEqual(db.Orders.Count(), list.Count);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -151,7 +151,7 @@
             Assert.AreEqual(db.Orders.Count(), list.Count);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/ReadTests_StringFunctions.cs
===================================================================
--- src/DbLinq/Test/Providers/ReadTests_StringFunctions.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/ReadTests_StringFunctions.cs	(working copy)
@@ -86,7 +86,7 @@
             Assert.IsTrue(list.All(lastname => lastname.Contains(":")));
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -117,7 +117,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -147,7 +147,7 @@
             Assert.AreEqual(list.Count, db.Employees.Count());
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -161,7 +161,7 @@
             Assert.AreEqual(list.Count, db.Employees.Count());
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -178,7 +178,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -194,7 +194,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -211,7 +211,7 @@
 
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -229,7 +229,7 @@
 
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -247,7 +247,7 @@
 
 
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -263,7 +263,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -292,7 +292,7 @@
             Assert.AreEqual(list.Count, db.Employees.Count());
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -361,7 +361,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -392,7 +392,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -421,7 +421,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -449,7 +449,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -489,7 +489,7 @@
             Assert.IsTrue(custID == "ALFKI");
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -532,7 +532,7 @@
             Assert.IsTrue(custID == "ALFKI");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -548,7 +548,7 @@
             Assert.IsTrue(custID == "ALFKI");
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -562,7 +562,7 @@
             Assert.IsTrue(q.Any(r => r == true));
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -592,7 +592,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
@@ -620,7 +620,7 @@
             Assert.IsTrue(list.Count > 0);
         }
 
-#if (MSSQL && !MONO_STRICT)
+#if !DEBUG && (MSSQL && !MONO_STRICT)
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/Table.cs
===================================================================
--- src/DbLinq/Test/Providers/Table.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Table.cs	(working copy)
@@ -40,7 +40,7 @@
             var customers = db.Customers.ToArray();
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -71,7 +71,7 @@
             Assert.AreEqual(modInfo.OriginalValue, beforeFax);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -108,7 +108,7 @@
         //    Assert.IsTrue(db2.Customers.IsReadOnly);
         //}
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -121,7 +121,7 @@
             Assert.IsFalse(db.Customers.Contains(customer));
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -137,7 +137,7 @@
             db2.Customers.Attach(customer);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -150,7 +150,7 @@
             db.Customers.Attach(customer);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -164,7 +164,7 @@
             Assert.Greater(db.Customers.GetModifiedMembers(customer).Count(), 0);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -176,7 +176,7 @@
             db.Customers.Attach(customer, true);
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -191,7 +191,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -205,7 +205,7 @@
 
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -217,7 +217,7 @@
             Assert.AreEqual(customers.Count, db.Customers.Count());
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Description("Check direct use of DataContext instead of typed DataContext")]
Index: src/DbLinq/Test/Providers/Transactions.cs
===================================================================
--- src/DbLinq/Test/Providers/Transactions.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/Transactions.cs	(working copy)
@@ -58,7 +58,7 @@
             }
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -106,7 +106,7 @@
             return t;
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/WriteTest.cs
===================================================================
--- src/DbLinq/Test/Providers/WriteTest.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/WriteTest.cs	(working copy)
@@ -111,7 +111,7 @@
             Assert.IsTrue(isSameObject2, "Expected product1 and product2 to be the same live object, but their fields are different");
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
@@ -257,7 +257,7 @@
         /// there is a bug in v0.14 where table Customers cannot be updated,
         /// because quotes where missing around the primaryKey in the UPDATE statement.
         /// </summary>
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -517,7 +517,7 @@
 
 #endif
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -532,7 +532,7 @@
             db.SubmitChanges();
         }
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -554,7 +554,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -609,7 +609,7 @@
         /// You are not expected to hold the cache for an extended duration (except possibly for a client scenario), 
         /// or share it across threads, processes, or machines in a cluster. 
         /// </summary>
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -628,7 +628,7 @@
 
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -719,7 +719,7 @@
         }
 
 
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
@@ -790,7 +790,7 @@
             db.SubmitChanges();
         }
 
-#if SQLITE
+#if !DEBUG && SQLITE
         [Explicit]
 #endif
         [Test]
Index: src/DbLinq/Test/Providers/WriteTest_BulkInsert.cs
===================================================================
--- src/DbLinq/Test/Providers/WriteTest_BulkInsert.cs	(revision 1104)
+++ src/DbLinq/Test/Providers/WriteTest_BulkInsert.cs	(working copy)
@@ -59,7 +59,7 @@
     [TestFixture]
     public class WriteTest_BulkInsert : TestBase
     {
-#if SQLITE || (MSSQL && !MONO_STRICT)
+#if !DEBUG && (SQLITE || (MSSQL && !MONO_STRICT))
         [Explicit]
 #endif
         [Test]
